Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.bpm
Class ProcessMessageDispatcher

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageDispatcher
              org.mule.transport.bpm.ProcessMessageDispatcher

All Implemented Interfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageProcessor, Connectable, MessageDispatcher

    public class ProcessMessageDispatcher

extends AbstractMessageDispatcher

Initiates or advances a workflow process from an outgoing Mule event.

Field Summary

Fields inherited from class org.mule.transport.AbstractMessageDispatcher
`defaultOutboundTransformers, defaultResponseTransformers`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.transport.MessageDispatcher
`RECEIVE_NO_WAIT, RECEIVE_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ProcessMessageDispatcher(OutboundEndpoint endpoint)`

Method Summary
`void` | `doDispatch(MuleEvent event)` Performs an asynchronous action on the BPMS.
`MuleMessage` | `doSend(MuleEvent event)` Performs a synchronous action on the BPMS.
`protected void` | `populateProcessVariables(MuleEvent event, Map processVariables, PropertyScope propertyScope)`
`protected Object` | `processAction(MuleEvent event)`

Methods inherited from class org.mule.transport.AbstractMessageDispatcher
`applyOutboundTransformers, applyResponseTransformers, createLifecycleManager, getDispatcherName, getEndpoint, getWorkManager, process, returnResponse, returnResponse`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, getConnectEventId, getConnectionDescription, getConnector, getLifecycleState, initialise, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoThreading, isStarted, passivate, setEndpoint, start, stop, toString, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageDispatcher
`activate, createMuleMessage, createMuleMessage, getConnector, passivate, validate`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.lifecycle.LifecycleStateEnabled
`getLifecycleState`

Constructor Detail

### ProcessMessageDispatcher

    public ProcessMessageDispatcher(OutboundEndpoint endpoint)

Method Detail

### doSend

    public MuleMessage doSend(MuleEvent event)
                       throws Exception

  Performs a synchronous action on the BPMS.

  Specified by:
    `doSend` in class `AbstractMessageDispatcher`
  Returns:
    an object representing the new state of the process
  Throws:
    `Exception`

### doDispatch

    public void doDispatch(MuleEvent event)
                    throws Exception

  Performs an asynchronous action on the BPMS.

  Specified by:
    `doDispatch` in class `AbstractMessageDispatcher`
  Throws:
    `Exception`

### processAction

    protected Object processAction(MuleEvent event)
                            throws Exception

  Throws:
    `Exception`

### populateProcessVariables

    protected void populateProcessVariables(MuleEvent event,
                                            Map processVariables,
                                            PropertyScope propertyScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.